package com.ss.android.ugc.aweme.discover.viewmodel;

import X.0Bt;
import X.1hK;
import X.SAJ;
import X.SV5;
import com.bytedance.covode.number.Covode;
import java.util.LinkedHashMap;
import java.util.Map;

public final class SearchEnterViewModel extends 0Bt {
    public static final Map<Integer, SV5> LIZIZ = new LinkedHashMap();
    public static final SAJ LIZJ = new SAJ((byte) 0);
    public SV5 LIZ;

    public final boolean LIZ() {
        SV5 sv5 = this.LIZ;
        if (sv5 == null || !sv5.isSetHintBySugWord()) {
            return false;
        }
        return true;
    }

    public final SV5 LIZIZ() {
        SV5 sv5 = this.LIZ;
        if (sv5 == null) {
            return new SV5();
        }
        return sv5;
    }

    static {
        Covode.recordClassIndex(66007);
    }

    public final void LIZ(1hK r3, SV5 sv5) {
        if (sv5 != null && r3 != null) {
            this.LIZ = sv5;
            LIZIZ.put(Integer.valueOf(r3.hashCode()), sv5);
        }
    }
}
